List All Groups Details

This endpoint returns all groups that match the specified criteria.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Many products refer to groups by an alternative name such as "Sets." This endpoint will return more detailed information about a specific group of products, which can be useful for separating products into individual groups. Groups for all products in the TCGplayer catalog are included.

{
  "totalItems": 0,
  "success": true,
  "errors": [
    "string"
  ],
  "results": [
    {
      "groupId": 0,
      "name": "string",
      "abbreviation": "string",
      "supplemental": true,
      "publishedOn": "string",
      "modifiedOn": "2017-11-21T00:47:27.195Z"
      "categoryId": 0
    }
  ]
}
/catalog/groups?offset=4&limit=2&categoryId=3

Headers:
Authorization | {{bearerToken}}

{
    "totalItems": 141,
    "success": true,
    "errors": [],
    "results": [
        {
            "groupId": 1663,
            "name": "Base Set (Shadowless)",
            "abbreviation": "BS",
            "isSupplemental": false,
            "publishedOn": "2019-03-05T16:05:47.9727348Z",
            "modifiedOn": "2019-02-05T15:09:16.78",
            "categoryId": 3
        },
        {
            "groupId": 605,
            "name": "Base Set 2",
            "abbreviation": "B2",
            "isSupplemental": false,
            "publishedOn": "2019-03-05T16:05:47.9883626Z",
            "modifiedOn": "2018-10-03T13:13:45.307",
            "categoryId": 3
        }
    ]
}
Query Params
int32

If specified, only return groups from this category.

string

If specified, only return groups from categories with this exact name.

boolean

If true, only return supplemental groups. If false, return only non-supplemental
groups. Otherwise, return all groups regardless of whether they are supplemental or
not.

boolean

If true, only return groups that contain sealed product. If false, only return
groups that do not contain sealed product. Otherwise, return all groups regardless
of whether they have sealed product or not.

string

The name of the property to sort the returned groups by. Default is GroupName.

boolean

If true then sort descending, otherwise sort ascending.

int32

Used for paging. The number of groups to skip. Default is 0.

int32

Used for paging. The maximum number of groups to return. Default is 10.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/json